New SMS Message

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Properties

FieldTypeDescriptionRequired
fromstringThe sender name or ID.Yes
toarray of strings or stringAn array or string of recipient phone numbers.Yes
countryCodestringThe country code or country of the recipient's phone numbers. e.g NG, Nigeria, 234Yes
bodystringThe text message content.Yes
callbackstringThe callback URL to receive delivery status updatesNo
metadatastringAdditional metadata associated with the message.No

Sample Payload

{  
    "from": "Tracksend",  
    "countryCode":"234",  
    "to": "08075887474",  
    "body": "Thank you very much x2! testing <<name>>",  
    "callback": "http://example.com",  
    "metadata": "some-unique-string"  
}
{  
    "from": "Tracksend",  
    "countryCode":"234",  
    "to": ["08022881418", "07031464377", "09081710869"],  
    "body": "Thank you very much x2! testing <<name>>",  
    "callback": "https://790e-102-88-63-129.ngrok-free.app",  
    "metadata": "some-unique-string"  
}
Body Params
string
required

The sender name or ID

string
required

The country code of the recipient phone numbers

required

The recipient phone number

string
required

The text message content

string

The callback URL to receive delivery status updates

string

Additional metadata associated with the message

Response

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
application/json